<?php

namespace App\Providers;

use App\Services\AIPrompt\OpenAPIPrompt;
use Illuminate\Support\ServiceProvider;

class AIPromptServiceProvider extends ServiceProvider
{
    /**
     * Register services.
     */
    public function register(): void
    {
        $this->app->singleton(OpenAPIPrompt::class, function ($app) {
            return new OpenAPIPrompt();
        });
    }

    /**
     * Bootstrap services.
     */
    public function boot(): void
    {
        //
    }
}
